## fonts-smc-uroob 2.0

=== Makefile ===
#!/usr/bin/make -f

fontpath=/usr/share/fonts/truetype/malayalam
fonts=Uroob
feature=features/features.fea
PY=python2.7
buildscript=tools/build.py
default: compile
all: compile webfonts

compile:
	@for font in `echo ${fonts}`;do \
		echo "Generating $$font.ttf";\
		$(PY) $(buildscript) $$font.sfd $(feature);\
	done;

webfonts:compile
	@echo "Generating webfonts";
	@for font in `echo ${fonts}`;do \
		sfntly -w $${font}.ttf $${font}.woff;\
		sfntly -e -x $${font}.ttf $${font}.eot;\
		[ -x `which woff2_compress` ] && woff2_compress $${font}.ttf;\
	done;

install: compile
	@for font in `echo ${fonts}`;do \
		install -D -m 0644 $${font}.ttf ${DESTDIR}/${fontpath}/$${font}.ttf;\
	done;

test: compile
# Test the fonts
	@for font in `echo ${fonts}`; do \
		echo "Testing font $${font}";\
		hb-view $${font}.ttf --text-file tests/tests.txt --output-file tests/$${font}.pdf;\
	done;

=== debian/changelog ===
fonts-smc-uroob (2.0-1) unstable; urgency=low

  [ Balasankar C ]
  * Team upload.
  * Initial release (Closes: #844346)

 -- Kartik Mistry <kartik@debian.org>  Sat, 24 Dec 2016 18:34:21 +0530

=== debian/control ===
Source: fonts-smc-uroob
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Balasankar C <balasankarc@autistici.org>
Build-Depends: debhelper (>= 9~),
               fontforge (>= 1:20161005~dfsg),
               fonttools,
               libharfbuzz-bin,
               python-fontforge
Standards-Version: 3.9.8
Homepage: http://smc.org.in

Package: fonts-smc-uroob
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Uroob malayalam font
 This package provides Uroob font for Malayalam script
 which is primarily used in the state of Kerala. The font is
 developed by SMC community

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S+)/uroob-$1\.tar\.gz/g \
  https://gitlab.com/smc/uroob/tags?sort=updated_desc .*archive\.tar\.gz\?ref=v?(\d\S+)

## fonts-smc-uroob 2.0.1

=== Makefile ===
#!/usr/bin/make -f

fontpath=/usr/share/fonts/truetype/malayalam
fonts=Uroob-Regular
feature=features/features.fea
PY=python2.7
buildscript=tools/build.py
version=2.0
outdir=build
default: ttf
all: clean ttf webfonts test
.PHONY: ttf
ttf:
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t ttf -i $$font.sfd -f $(feature) -v $(version) -o $(outdir);\
	done;

webfonts:woff woff2
woff: ttf
	@rm -rf *.woff
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t woff -i $(outdir)/$$font.ttf;\
	done;
woff2: ttf
	@rm -rf *.woff2
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t woff2 -i $(outdir)/$$font.ttf;\
	done;

install: ttf
	@for font in `echo ${fonts}`;do \
		install -D -m 0644 $(outdir)/$${font}.ttf ${DESTDIR}/${fontpath}/$${font}.ttf;\
	done;

ifeq ($(shell ls -l $(outdir)/*.ttf 2>/dev/null | wc -l),0)
test: ttf run-test
else
test: run-test
endif

run-test:
	@for font in `echo ${fonts}`; do \
		echo "Testing font $${font}";\
		hb-view $(outdir)/$${font}.ttf --font-size 14 --margin 100 --line-space 1.5 --foreground=333333  --text-file tests/tests.txt --output-file tests/$${font}.pdf;\
	done;
clean:
	@rm -rf *.otf *.ttf *.woff *.woff2 *.sfd-* tests/*.pdf $(outdir)

=== debian/changelog ===
fonts-smc-uroob (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0
  * Bump Debhelper compatibility to 11
  * Add Vcs-* fields
  * Use https for URLs

 -- Balasankar C <balasankarc@debian.org>  Thu, 28 Feb 2019 23:44:50 +0530

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: fonts
 Priority: optional
 Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
-Uploaders: Balasankar C <balasankarc@autistici.org>
-Build-Depends: debhelper (>= 9~),
+Uploaders: Balasankar C <balasankarc@debian.org>
+Build-Depends: debhelper (>= 11~),
                fontforge (>= 1:20161005~dfsg),
-               fonttools,
+               python-fonttools,
                libharfbuzz-bin,
                python-fontforge
-Standards-Version: 3.9.8
-Homepage: http://smc.org.in
+Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-uroob.git
+Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-uroob
+Standards-Version: 4.3.0
+Homepage: https://smc.org.in
 
 Package: fonts-smc-uroob
 Architecture: all

## fonts-smc-uroob 2.0.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 fontpath=/usr/share/fonts/truetype/malayalam
 fonts=Uroob-Regular
 feature=features/features.fea
-PY=python2.7
+PY=python3
 buildscript=tools/build.py
 version=2.0
 outdir=build

=== tools/requirements.txt ===
git+https://github.com/google/brotli@v0.3.0#egg=Brotli
fonttools >= 3.0

=== debian/changelog ===
fonts-smc-uroob (2.0.2-1) unstable; urgency=medium

  * New upstream release (Closes: #943025)
  * Bump Debhelper compatibility to 12
  * Bump Standards-Version to 4.4.1
  * Install Appstream metadata file
  * Add upstream metadata file

 -- Balasankar C <balasankarc@debian.org>  Wed, 01 Jan 2020 20:03:23 +0530

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
 Uploaders: Balasankar C <balasankarc@debian.org>
-Build-Depends: debhelper (>= 11~),
-               fontforge (>= 1:20161005~dfsg),
-               python-fonttools,
+Build-Depends: debhelper (>= 12),
+               debhelper-compat (= 12),
+               fontforge-nox (>= 1:20161005~dfsg),
                libharfbuzz-bin,
-               python-fontforge
+               python3-fontforge,
+               python3-fonttools
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-uroob.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-uroob
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://smc.org.in
+Rules-Requires-Root: no
 
 Package: fonts-smc-uroob
 Architecture: all

=== debian/watch ===
version=4
opts=filenamemangle=s/.*Version(\d\S+).uroob-Version(\d\S+)\.tar\.gz/uroob-\2\.tar\.gz/ \
  https://gitlab.com/smc/fonts/uroob/tags?sort=updated_desc .*uroob-Version(\d\S+)\.tar\.gz
